TYPOS.Fluid - Story # 3714

Status: Rejected Priority: Could have
Author: Sebastian Kurfuerst Category: Core

Created: 2009-06-21 Assigned To: Christian Mdiller
Updated: 2011-05-05 Due date:

Has patch:

Subject: Add advanced validation of ViewHelper arguments

Description

We should add a feature to support the @validate annotation inside the ViewHelper render() method comment.

See the ActionController for the code which needs to be included in AbstractViewHelper, and make sure to refactor it to a central
place.

History

#1 - 2009-06-22 09:51 - Sebastian Kurfuerst
- Assigned To set to Christian Mdiller

#2 - 2009-06-22 09:51 - Sebastian Kurfuerst
- Status changed from New to Accepted

#3 - 2009-06-29 11:27 - Christian Miiller

- File fluid_3714_viewhelper_validation.diff added

The attached diff changes some files (mostly extBase) and tries to put most of the code into central place.

#4 - 2009-06-30 09:16 - Christian Muller
- Status changed from Accepted to Needs Feedback

As this is my first bigger patch, would be great if someone could look it over and comment...

#5 - 2009-06-30 09:44 - Sebastian Kurfuerst

Hey Christian,

first of all - thanks for your nice work :-)

| have some comments:

- in the ValidatorResolver you introduced a new method "initializeMethodValidators" - | would rather remove this again, as it is quite difficult to gasp,
and you expect a certain callback method which needs to be there but is never documented explicitly.

Rather, | would instead loop through the $validatorConjunctions by hand inside the AbstractViewHelper.

Concerning general development practice (I should have said this earlier, sorry!): All changes in Fluid core must be made in FLOWS (including unit
tests) and then Fluid Core is automatically backported to TYPO3 v4.

Do you have a FLOWS installation at hand? If yes, it would be really awesome if you could port the code with the above comments to fluid v5 and
cover it with a unit test. Then, we can backport it automatically using the "Backporter" scripts.
If there are any questions, don't hesitate to contact me!
Thanks again for your work and greets,

Sebastian

#6 - 2009-07-03 20:23 - Christian Miiller
- Status changed from Needs Feedback to Accepted

I am working on FLOWS3 port an cleanup, patch next week.

#7 - 2009-07-08 09:36 - Christian Miiller
- File fluid_3714_viewhelper_validation2.diff added
- % Done changed from 0 to 50

New patch for FLOWS, just with the change to the AbstractViewHelper and a call to it in ViewHelperNode, but | am not sure if it is called at the right
point. Testcase follows with additional patch.

#8 - 2009-07-23 15:36 - Christian Miiller
- Status changed from Accepted to Resolved
- % Done changed from 50 to 100

Patch v2 working good with some basic testing. Think it could be integrated, what do | have to do now with the patch?

#9 - 2009-07-25 22:37 - Sebastian Kurfuerst

- Status changed from Resolved to Needs Feedback

Hey Christian,

I just had a quick look at the patch, and | still have two questions:

1) How can initializeRenderMethodValidators() be protected if you call it from AbstractViewHelper?

2) 1 did not find the unit test covering it :-) Did you forget to update it, or do you need some help in writing it?

Greets and thanks a bunch for your work,

Sebastian

#10 - 2009-07-26 11:54 - Christian Miiller
- File fluid_3714_viewhelper_validation3.diff added

So sorry, this is a mix up. Of course it can't be protected, the v3 patch changes this to public as it is on my other machine ;-)
For the unit test, well then there is a misunderstanding, because | thought that this is already covered by another test. No problem, will look into the

tests again and ask for help if needed (possibly is).

#11 - 2009-07-27 11:14 - Robert Lemke
- Target version deleted (1.0)

#12 - 2010-03-15 16:26 - Sebastian Kurfuerst
- Priority changed from Must have to Could have

#13 - 2011-05-05 18:29 - Sebastian Kurfuerst
- Tracker changed from Feature to Story
- Status changed from Needs Feedback to Rejected

Files

fluid_3714_viewhelper_validation.diff 5kB 2009-06-29 Christian Miller
fluid_3714_viewhelper_validation2.diff 2 kB 2009-07-08 Christian Mller
fluid_3714_viewhelper_validation3.diff 2 kB 2009-07-26 Christian Muller
